Skip to content

OAuth

All API requests to xCures must provide an access token, retrieved via the standard OAuth authorization flow below.

Get Token

Request

Obtain an access token that is authorized to make API calls.

Bodyapplication/jsonrequired
client_idstring, (uuid)required

Your API key's client ID.

Example:"c8ec1d54-a85c-411f-aa12-fd3a7f2480f4"
client_secretstringrequired

Your API key's client secret.

grant_typestringrequired

The OAuth 2.0 grant type.

Value:"client_credentials"
Example:"client_credentials"
POST
/oauth/token
curl -i -X POST \
  https://partner.xcures.com/oauth/token \
  -H 'Content-Type: application/json' \
  -d '{
    "client_id": "c8ec1d54-a85c-411f-aa12-fd3a7f2480f4",
    "client_secret": "string",
    "grant_type": "client_credentials"
  }'

Responses

Bodyapplication/json
access_tokenstringrequired

The credential used to authenticate API requests.

token_typestringrequired

The type of token being issued.

Example:"Bearer"
Response
{ "access_token": "string", "token_type": "Bearer" }